# -*- coding: utf-8 -*-
# include Python’s socket library
from socket import *
serverPort = 12000

# create TCP socket
serverSocket = socket(AF_INET, SOCK_STREAM)

# bind socket to local port number 12000
serverSocket.bind(('', serverPort))

# put socket in passive mode
serverSocket.listen(1)

print "The server is ready to receive"

# Loop forever
while 1:
	# server waits for incoming connections on accept()
	# for incoming requests, new socket created on return
	connectionSocket, addr = serverSocket.accept()
	
	# receive sentence on newly established connectionSocket
	sentence = connectionSocket.recv(1024)
	
	# convert message to upper case
	modifiedSentence = sentence.upper()
	
	# send back modified string to client
	connectionSocket.send(modifiedSentence)
